Show a Webhook Endpoint
curl --request GET \
--url https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "we_195h6kfm9ro15lof",
"api_version": "2025-09",
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_06778802edebb94d",
"created_at": "2025-02-22T14:41:00Z",
"email": "john@doe.com",
"name": "John Doe",
"updated_at": "2025-02-22T14:41:00Z"
},
"description": "Test webhook endpoint",
"disabled_at": null,
"event_types": [
"credit_note.created"
],
"metadata": {},
"name": "My Webhook",
"secret": null,
"status": "enabled",
"updated_at": "2025-02-22T14:41:00Z",
"url": "https://example.com/webhook"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Webhook Endpoints
Show a Webhook Endpoint
Retrieve the details of a specific webhook endpoint by its ID.
Required authorization scope: public.webhook_endpoint:read
GET
/
2025-09
/
webhook_endpoints
/
{webhook_endpoint_id}
Show a Webhook Endpoint
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The public ID of the webhook endpoint to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I